body {
  background-color: #0a0f1c;
  margin: 0;
  font-family: "Courier New", Courier, monospace;
  color: #e6edf3;
}

section {
  margin-top: 30px;
}

header,
h2.header {
  display: flex;
  justify-content: center;
  color: #74bad4;
  margin: 0;
}

header {
  margin-top: 30px;
  margin-bottom: 8px;
  font-size: 40px;
}

h2.header {
  margin-bottom: 25px;
  font-size: 24px;
  font-weight: normal;
}

#navbar-container,
#hobbies-container,
#website-container,
#contact-container,
#footer-container {
  border: 1px solid #74bad4;
  box-sizing: border-box;
  width: 90%;
  max-width: 1200px;
  margin: 0 auto;
  border-radius: 24px;
  background-color: #121a2b;
  box-sizing: border-box;
}

#footer-container {
  width: 100%;
  max-width: none;
  border-radius: 0;
  margin: 0;
}

#navbar-container {
  padding: 18px 25px;
}

.navbar ul {
  list-style-type: none;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  gap: 80px;
  padding: 0;
  margin: 0;
}

.navbar a {
  text-decoration: none;
  color: #74bad4;
  font-size: 18px;
  transition: 0.3s;
}

.navbar a:hover {
  color: #e0e0e0;
}

#hobbies-container,
#website-container,
#contact-container {
  display: block;
  padding: 30px;
}

.section-title {
  color: #74bad4;
  margin: 0 0 20px 0;
  font-size: 34px;
}

#hobbies ul,
#fav-websites ol {
  color: #e6edf3;
  font-size: 28px;
  margin: 0;
  padding-left: 25px;
  padding-bottom: 0;
}

#hobbies ul {
  display: grid;
  grid-template-columns: repeat(2, minmax(220px, 1fr));
  gap: 16px 40px;
}

#fav-websites ol {
  display: grid;
  grid-template-columns: repeat(2, minmax(220px, 1fr));
  gap: 16px 40px;
  padding-left: 50px;
  margin-left: 20px;
}

#website-container a {
  text-decoration: none;
  color: #e6edf3;
  transition: 0.3s;
}

#website-container a:hover {
  color: #74bad4;
  text-decoration: underline;
}

.socials {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 30px;
  margin-top: 10px;
}

.social-card {
  background-color: #1a2338;
  padding: 20px;
  border-radius: 18px;
  transition: 0.3s;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
}

.social-card img {
  height: 70px;
  width: 70px;
  display: block;
}

.social-card:hover {
  transform: scale(1.08);
  background-color: #74bad4;
}

footer {
  display: flex;
  bottom: 0;
}

#footer-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 30px 20px;
  bottom: 0;
}

.footer-quote {
  font-size: 20px;
  margin: 20px;
  color: #b0b0b0;
  text-align: center;
}

.footer-name {
  font-size: 18px;
  margin: 0;
  color: #d9e2ec;
}

#contact {
  margin-bottom: 30px;
}
